
from moseq2_fingerprint.fingerprint import Fingerprint

# Selection to run examples
load_fingerprint = True
use_explained_variance = True
plot_fingerprint_basics = True
run_classifier_drug = True
run_classifier_dose = False

# -----------------

fingerprints = Fingerprint()

# Select directory to save plots
fingerprints.savefig_dir = "./data/plot"

# -----------------

if load_fingerprint:
    # Load fingerprints from file
    fingerprints.load("./data/fingerprints.pkl")

# -----------------

if use_explained_variance:

    # Include syllables accounting for an explained variance
    fingerprints.set_max_syllable()

# -----------------

if plot_fingerprint_basics:

    # Plot fingerprint overview
    fingerprints.plot_overview_fingerprints()

# -----------------

if run_classifier_drug:

    fingerprints.classifier_fingerprint_mapping = 'drug_mapping'

    # Confusion matrix for classifiers [drug]
    classifier_results_drug = fingerprints.train_and_plot_classifiers()

    # Plot F1 scores [drug]
    fingerprints.table_and_plot_fscores()

    # PR curve [drug]
    fingerprints.plot_pr_curve_by_measure_averaged()

# -----------------

if run_classifier_dose:

    fingerprints.classifier_fingerprint_mapping = 'dose_mapping'

    # Confusion matrix for classifiers [dose]
    fingerprints.train_and_plot_classifiers()

    # PR curve [dose]
    fingerprints.plot_pr_curve_by_measure_averaged()



