from setuptools import setup, find_packages
import subprocess
import sys

def install(package):
    subprocess.call([sys.executable, "-m", "pip", "install", package])

setup(
    name='moseq2-fingerprint',
    author='Tilo Gschwind and Ayman Zeine (based and extended upon previous work by Alex Wiltschko)',
    description='Code corresponding to "Hidden Behavioral Fingerprints in Epilepsy"',
    version='1.0.0',
    platforms=['mac', 'unix'],
    packages=find_packages(),
    install_requires=['h5py',
                      'matplotlib',
                      'scipy',
                      'scikit-image',
                      'cytoolz',
                      'tqdm',
                      'statsmodels',
                      'seaborn',
                      'numpy',
                      'pandas',
                      'joblib',
                      'scikit-learn',
                      'click',
                      'ruamel.yaml'],
    python_requires='>=3.9'
)